//
//     track shared library        v. 0.1
//
//     calls the fortran tracking routine track.f
//
//     Written by Emiliano Mocchiutti
//
#include <trklev1struct.h>
#define ptlevel1 ptlevel1_
extern "C" int ptlevel1();

void projectlev1(Trklev1 &pwcr4) {
  //
  extern struct Trklev1 pwcr4_;
  //
  memcpy(&pwcr4_, &pwcr4, sizeof(pwcr4));
  //
  ptlevel1();
  //
  memcpy(&pwcr4, &pwcr4_, sizeof(pwcr4));
  //
};

